{******************************************************************************

Copyright 2001-2003 Saulo Popov Zambiasi. All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice,
   this list of conditions and the following disclaimer. 
2. Redistributions in binary form must reproduce the above copyright notice,
   this list of conditions and the following disclaimer in the documentation
   and/or other materials provided with the distribution. 

THIS SOFTWARE IS PROVIDED BY SAULO POPOV ZAMBIASI "AS IS" AND ANY EXPRESS OR
IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
EVENT SHALL SAULO POPOV ZAMBIASI OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

The views and conclusions contained in the software and documentation are those
of the authors and should not be interpreted as representing official policies,
either expressed or implied, of Saulo Popov Zambiasi.

Copyright 2001-2003 Saulo Popov Zambiasi. All rights reserved.
Last modified: 2003/02/26 20:41:00

******************************************************************************}

{**********************************************

       File : mouse.pas
 Developper : Saulo Popov Zambiasi
Last Update : Feb/09/2002

**********************************************}

UNIT MyMouse;

INTERFACE

USES
   alpgraph, ag_sdl;

TYPE
   PMouse = ^OMouse;
   OMouse = Object
      Constructor Init;
      Function    Press : Boolean;
      Procedure   Status(var x, y, b : Integer);
      Procedure   Show(i : Boolean);
      Procedure   MyCursor(c : Byte);
      Procedure   Draw;
      Destructor  Done;
   End;


IMPLEMENTATION

Constructor OMouse.Init;
Begin
   ShowMouse;
End;

Procedure OMouse.MyCursor(c : Byte);
Begin
   if (c = 0) Then SetMouseCursor(nil, nil);
End;

Procedure OMouse.Show(i : Boolean);
Begin
   if (i) Then ShowMouse
   Else HideMouse;
End;

Procedure OMouse.Draw;
Begin
End;

Procedure OMouse.Status(var x, y, b : Integer);
Begin
  idle;
  x := ag_mousex;
  y := ag_mousey;
  b := ag_mouseb;
End;


Function OMouse.Press : Boolean;

Var b, x, y : Integer;

Begin
   Status(x, y, b);
   Press := b <> 0;
End;

Destructor OMouse.Done;
Begin
   HideMouse;
End;

End.
